Subject: RE: acceptable licenses (Was: Can there be an early decision on t he SenderID license?)

From: "Hallam-Baker, Phillip" <[email-masked]>
Date: Thu, 26 Aug 2004 07:06:51 -0700

> Instead of addressing this issue, PHB has tried to reframe the
> discussion. 

Framing the discussion is a perogative of the co-chairs. You ar
not a co-chair, therefore I have an equal right to frame the 
discussion.

In the debating societies I am a member of you hold the debate
before the vote. The motion from the floor is that the question
be put. I oppose putting the question because we have merely heard
opinion thus far, not argument.

> 
> In 
> <[email-masked]
> .vrsn.com> "Hallam-Baker, Phillip" <[email-masked]> writes:

> > I have yet to see a statement that makes a valid legal argument 
> > that the license terms prohibit open source distribution.
> 
> That is completely irrelevant.  As Eric Allman pointed out, many of
> the aspects of the SenderID create friction, and that is all that is
> enough to question whether the SenderID license is worth it.

My concern is that I believe that it is very likely that one or
more patent trolls made applications after the publication of SPF.
This has happened several times in the past, the applications are
made by people who have no connection to the invention and are in
effect perjured, but this has never been prosecuted. The perjured
patent is then used to extort money from a company that uses the 
technology before it goes IPO.

What was ASKED of Microsoft was to produce a license that made it
possible to create and distribute open source code. Now that this
has happened I beleive that the ground has been shifted. I do not
see this issue being approached from the make it work point of view.

> > The license terms are at least as open as the terms which the
> > IETF has accepted in the past.
> 
> The IETF has accepted RFCs in the past that have been horribly
> designed and written.  The fact that the IETF has made mistakes in the
> past is hardly a good reason to ignore the current situation.

The IETF IPR policy has received extensive examination at every
level of the organization. If this group is going to overturn it
then it has to provide a better argument than not wanting to
be bothered.

> > Larry Lessig is a lawyer, lets give him a call and hit his folk
> > up for some pro bono.
> 
> Please feel free to contact Larry.  On Monday, I started making
> contact with Eben Moglen (the FSF lawyer) for his input on whether the
> SenderID license is compatible with the GPL.  I chose Eben for a
> couple of reasons.  First off, he was involved with earlier
> discussions with MS over this issue and therefore should be up to
> speed on the subject.  Secondly, Eric Allman has used quotes form Eben
> in order to claim that the current SenderID license is acceptable.

I have no problem with the license terms, so I'll leave those who
have to call lawyers. 

> > First I would suggest that those wanting to make the argument that
> > the license terms are not acceptable put them in a form that is
> > more coherent than that advanced so far. In particular paying close
> > attention to the fact that what is wanted is a license to 
> redistribute
> > software without let or hinderance.
> 
> No, this is backwards.  The IETF requires rough consensus in order to
> advance things.  People who think that the SenderID license is
> acceptable need to show that there is a rough consensus that it is
> OK.

Rough concensus is on the basis of facts, not opinions. 

> This working group does not need to accept the SenderID license
> because is no worse than the worst license that the IETF has accepted
> in the past.  Rather, we need to look at what RFC3668 says:
> 
>   | 8.  Evaluating alternative technologies in IETF working groups
>   | 
>   |    In general, IETF working groups prefer technologies 
> with no known IPR
>   |    claims or, for technologies with claims against them, 
> an offer of
>   |    royalty-free licensing. 

Looks to me like the second clause in the statement requires
updating since royalty free is a necessary, not a sufficient 
condition. royalty free, reasonable and non-discriminatory is
the generally understood criteria.

The license offered by Microsoft clearly meets the preferred
criteria. The 'or' conjunctive does not denote a preference.